package com.cm.common.token.app.entity;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: AppTokenUserPosition
 * @Description: 用户职位
 * @Author: WangGeng
 * @Date: 2019-08-10 14:22
 * @Version: 1.0
 **/
public class AppTokenUserPosition {

    private String positionId;
    private String positionName;

    public String getPositionId() {
        return positionId == null ? "" : positionId.trim();
    }

    public void setPositionId(String positionId) {
        this.positionId = positionId;
    }

    public String getPositionName() {
        return positionName == null ? "" : positionName.trim();
    }

    public void setPositionName(String positionName) {
        this.positionName = positionName;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"positionId\":")
                .append("\"").append(positionId).append("\"");
        sb.append(",\"positionName\":")
                .append("\"").append(positionName).append("\"");
        sb.append('}');
        return sb.toString();
    }
}
